# $NetBSD$

# Makefile fragment to hand the args to "setlist" from the Makefile

.if defined(LIB)
GENSETLIST_ARGS+=-v LIB=${LIB:Q}
GENSETLIST_ARGS+=-v SHLIB_VERSION=${SHLIB_MAJOR}.${SHLIB_MINOR}.${SHLIB_TEENY}
GENSETLIST_ARGS+=-v LIBDIR=${LIBDIR:Q}
.endif

.if defined(MAN)
GENSETLIST_ARGS+=-v MAN=${MAN:Q}
GENSETLIST_ARGS+=-v MANDIR=${MANDIR:Q}
.endif

.if defined(INCS)
GENSETLIST_ARGS+=-v INCS=${INCS:Q}
GENSETLIST_ARGS+=-v INCSDIR=${INCSDIR:Q}
.endif

.if defined(PROG)
GENSETLIST_ARGS+=-v PROG=${PROG:Q}
GENSETLIST_ARGS+=-v BINDIR=${BINDIR:Q}
.endif

.if defined(MLINKS)
GENSETLIST_ARGS+=-v MLINKS=${MLINKS:Q}
.endif

.if defined(SYMLINKS)
GENSETLIST_ARGS+=-v SYMLINKS=${SYMLINKS:Q}
.endif

.if defined(GUARD)
GENSETLIST_ARGS+=-D ${GUARD:Q}
.endif

.if defined(CATEGORY)
GENSETLIST_ARGS+=-c ${CATEGORY:Q}
.endif

setlist:
	${.CURDIR}/../gensetlist ${GENSETLIST_ARGS}
